#3424 closed defect (fixed)

examples-v2: no MIPS BSPs pass configuration step

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: examples Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

Checking for program 'ar'                  : /home/joel/rtems-work/tools/5/bin/mips-rtems5-ar 
Checking for program 'g++, c++'            : /home/joel/rtems-work/tools/5/bin/mips-rtems5-g++ 
Checking for program 'ar'                  : /home/joel/rtems-work/tools/5/bin/mips-rtems5-ar 
Checking for program 'gas, gcc'            : /home/joel/rtems-work/tools/5/bin/mips-rtems5-gcc 
Checking for program 'ar'                  : /home/joel/rtems-work/tools/5/bin/mips-rtems5-ar 
Compiler version (mips-rtems5-gcc)         : 7.3.0 20180125 (RTEMS 5, RSB 6d9c77c77d271d1fc2dfe8493d6713930b52a6dd, Newlib 3.0.0) 
Checking for RTEMS CPU options header      : started 
-> processing test results                 : 1 test failed 
One of the tests has failed, read config.log for more information
(complete log in /data/home/joel/rtems-work/examples-v2/build/config.log)
+ check_fatal 1 'failed waf configure - examples-v2 on rbtx4925'

Change History (7)

comment:1 Changed on May 2, 2018 at 12:31:06 AM by Chris Johns

The check for RTEMS CPU options header fails. Does the BSP install rtems/score/cpuopts.h?

comment:2 Changed on May 2, 2018 at 12:33:52 AM by Chris Johns

Description: modified (diff)

Also the output says to read config.log for more information. Could you please report what it says is failing?

comment:3 Changed on Oct 13, 2018 at 10:34:50 PM by Joel Sherrill

Component: adminexamples
Owner: set to Joel Sherrill
Status: newassigned

comment:4 Changed on Oct 14, 2018 at 8:52:58 PM by Joel Sherrill

With the Makefile.inc system, all tests build successfully and this is the command sequence for hello_world_c

mips-rtems5-gcc --pipe -B/home/joel/rtems-work/tools/5/bsp-install/mips-rtems5/rbtx4925/lib/ -specs bsp_specs -qrtems   -Wall  -O2 -g -fomit-frame-pointer -ffunction-sections -fdata-sections    -mips3 -G0 -EL       -c   -o o-optimize/test.o test.c
mips-rtems5-gcc --pipe -B/home/joel/rtems-work/tools/5/bsp-install/mips-rtems5/rbtx4925/lib/ -specs bsp_specs -qrtems   -Wall  -O2 -g -fomit-frame-pointer -ffunction-sections -fdata-sections    -mips3 -G0 -EL      -Wl,--gc-sections   -mips3 -G0 -EL   -o o-optimize/hello.exe  o-optimize/test.o

With the following waf command, the configure fails:

 ./waf configure --rtems=/home/joel/rtems-work/tools/5/bsp-install \
  --rtems-tools=/home/joel/rtems-work/tools/5 --rtems-bsps=mips/rbtx4925

The test probe gcc is this:

['/home/joel/rtems-work/tools/5/bin/mips-rtems5-g++', '-qrtems', '-B/home/joel/rtems-work/tools/5/bsp-install/mips-rtems5/lib/', '-B/home/joel/rtems-work/tools/5/bsp-install/mips-rtems5/rbtx4925/lib/', '--specs', 'bsp_specs', '-mips3', '-mips3', '-fomit-frame-pointer', '-fomit-frame-pointer', '-ffunction-sections', '-ffunction-sections', '-fdata-sections', '-fdata-sections', 'test.cpp.1.o', '-o/home/joel/rtems-work/examples-v2/build/.conf_check_2580b0f878d416be57b9cf3634e02230/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic']
err: /home/joel/rtems-work/tools/5/lib/gcc/mips-rtems5/7.3.0/../../../../mips-rtems5/bin/ld: /home/joel/rtems-work/tools/5/bsp-install/mips-rtems5/rbtx4925/lib/start.o: compiled for a little endian system and target is big endian

Notice the -G0 and -EL (or -EB) are missing.

comment:5 Changed on Oct 14, 2018 at 9:16:34 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In 2fec1c5/rtems_waf:

rtems.py: Pass -EL, -EB, and -Gn to link phase

closes #3424.

comment:6 Changed on Oct 14, 2018 at 9:20:39 PM by Joel Sherrill <joel@…>

In 5e3264d/examples-v2:

rtems_waf: Update to get #3424

comment:7 Changed on Oct 14, 2018 at 10:06:16 PM by Joel Sherrill <joel@…>

In 8992d20/rtems-source-builder:

rtems-tools-5-1.cfg: Bump to latest

closes #3401, #3402, #3424.

Note: See TracTickets for help on using tickets.